# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl

%define libtool /bin/true 
%define __libtoolize /bin/true
%define section Multimedia/Graphics
%define	major	1
%define	libname	%mklibname %name %major
%define relversion %version-pre8

Summary: image viewer, with OpenGL image displaying
Name: ksquirrel
Version: 0.6.0
Release: 0pre8.2006mcnl
Group: Multimedia/Graphics
Vendor: Mandrivaclub.nl
URL: http://ksquirrel.sourceforge.net/
License: GPL
Packager:Marco Meijer <marco@mandrivaclub.nl>
Source0: ksquirrel-%relversion.tar.bz2
Source1: ksquirrel-libs-%relversion.tar.bz2
Source2: ksquirrel_app.desktop
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: kdelibs-devel libbinutils-devel
Requires: libksquirrel1 kdelibs, libpng, libjpeg 

%description
Why KSquirrel ?
It is a very interesting question. Today we can find many image viewers all over the world. However, none of those I saw could decode images by themselves. Some of them used imlib to load images, others - QImage::load(), etc. I saw too many errors: I couldn't view some TGA files, PSD, 32-bit BMP, XWD, and so on. The most beautiful viewer I saw (for Linux) was zgv! It has built-in self-written decoders, can show thumbnails etc.

KSquirrel decodes images with special decoders. You can just write your own decoder, copy it in the decoders' directory - all done! BTW, the best viewer I've ever seen, AcdSee 3.0, uses the same mechanism, that is, based on external decoders. But in Linux NOT A SINGLE VIEWER has that (except old good zgv).

Advantages:

    * small and simple image viewer
    * extremly fast (thanks OpenGL)
    * external decoders (ksquirrel-libs)
    * flexible filters for filemanager
    * flexible external tools
    * you can copy/delete libraries "on the fly"
    * extended thumbnails
    * ksquirrel-libs-related metainfo reading mechanism (comments in GIF and JPEG, keys in PNG, etc.) 

%package -n %libname
Summary:    ksquirrel libraries
Group:      System/Libraries
License:    GPL

%description -n %libname
These libraries provide plugins for ksquirrel


%package -n %{libname}-devel
Summary:    ksquirrel libraries
Group:      System/Libraries
License:    GPL
Requires:   %libname = %version-%release

%description -n %{libname}-devel
These're the files needed to develop applications that use ksquirel plugins..

%prep
rm -rf %{buildroot}
%setup -q -n ksquirrel-%version
%setup -q -T -D -a1 -n ksquirrel-%version


%build

cd ksquirrel-libs-%version
#./configure --prefix=/usr/ --libdir=/usr/lib/squirrel
./configure.gnu
make
cd ..
#make -f admin/Makefile.common
#./configure --prefix="`kde-config --prefix`"
./configure.gnu
make

%install

%makeinstall

cd ksquirrel-libs-%version
make install  DESTDIR=$RPM_BUILD_ROOT
cd ..

#mkdir -p %buildroot/%_libdir/squirrel/
#mv  %buildroot/%_libdir/lib* %buildroot/%_libdir/squirrel/

mkdir -p %buildroot/%_datadir/applications/kde/
install -m644 %{SOURCE2} -D %buildroot/%_datadir/applications/kde/%{name}.desktop
#%__cp %{name}/%{name}_app.desktop %buildroot/%_datadir/applications/kde/%{name}.desktop

# Create MDK menu structure
install -d %buildroot/%_menudir/

kdedesktop2mdkmenu.pl %{name} Multimedia/Graphics %buildroot/%_datadir/applications/kde/ksquirrel.desktop %buildroot/%_menudir/%{name}

%{__cp} %{buildroot}/usr/local/bin/* %{buildroot}/usr/bin
rm -rf %{buildroot}/usr/local

%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README
%{_bindir}/*
%{_menudir}/*
%{_datadir}/*

%files -n %libname
%defattr(-,root,root)
%doc ksquirrel-libs-%version/COPYING
%_libdir/ksquirrel-libs/*

#%files -n %{libname}-devel
#%defattr(-,root,root)
#%doc ksquirrel-libs-%version/COPYING
#%_includedir/ksquirrel-libs/*


%changelog

*Sun Oct 16 2005 Marco Meijer <marco@mandrivaclub.nl> 0.6.0-0pre8.2006mcnl
- new version 0.6.0 pre release 8

*Thu Jun 09 2005 Marco Meijer <marco@mandrivaclub.nl> 0.6.0-0pre4.102mcnl
- new version 0.6.0 pre release 4

*Fri May 27 2005 Marco Meijer <marco@mandrivaclub.nl> 0.6.0-0pre3.101mcnl
- new version 0.6.0 pre release 3

*Sun Apr 17 2005 Marco Meijer <marco@mandrivaclub.nl> 0.6.0-0pre2.101mcnl
- new version 0.6.0 pre release 2

*Mon Feb 28 2005 Marco Meijer <marco@mandrivaclub.nl> 0.6.0-0pre1.101mcnl
- new version 0.6.0 pre release 1

*Sun Feb 20 2005 Marco Meijer <marco@mandrivaclub.nl> 0.5.0-1.101mcnl
- new version 0.5.0 final

*Thu Feb 03 2005 Marco Meijer <marco@mandrivaclub.nl> 0.5.0-0pre4.101mcnl
- new version pre release 4

*Sun Nov 21 2004 Marco Meijer <marco@mandrivaclub.nl> 0.5.0-3mcnl
- new version pre release 3

*Sun Oct 02 2004 Marco Meijer <marco@mandrivaclub.nl> 0.5.0-1mcnl
- First version
